NamingUtilityInternal (CMDB Model API)
Keywords: com.collation.platform.model.util.NamingUtilityInternal class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class NamingUtilityInternal

    java.lang.Object
      com.collation.platform.model.util.NamingUtilityExternal
          com.collation.platform.model.util.NamingUtilityInternal

All Implemented Interfaces:
  NamingUtility

    public class NamingUtilityInternal

extends NamingUtilityExternal
implements NamingUtility

NamingUtility class is used to provide a mapping of Object pointers to unique Guids for the names of the objects

Field Summary

Fields inherited from class com.collation.platform.model.util.NamingUtilityExternal
`cache, hexString_, NAMESPACE, NAMESPACE_GUID, preFix`

Constructor Summary
`protected` | `NamingUtilityInternal(java.util.List objectClassList, java.lang.String name, NamingUtilityDataSource ds)` Constructor accepts a list of ObjectClass objects and initializes the meta cache and the internal guid and name maps

Method Summary
`protected void` | `traverseAllRules(java.lang.String objCls, ModelObject mo, java.util.HashMap dependencyMap, java.util.HashMap guidMap, java.util.HashMap nameMap, ModelObject parentPtr, java.util.HashSet traversedList, java.util.ArrayList returnList, java.util.HashMap sanCheck, long version)` traverseAllRules traverses all the rules idenitified for this class and all the classes in its hierarchy.

Methods inherited from class com.collation.platform.model.util.NamingUtilityExternal
`computeGuidResults, computeGuidResults, getGUID, isLastEnabledAttribute, transform, transformChar, traversePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.collation.platform.model.util.NamingUtility
`computeGuidResults, computeGuidResults`

Constructor Detail

### NamingUtilityInternal

    protected NamingUtilityInternal(java.util.List objectClassList,
                                    java.lang.String name,
                                    NamingUtilityDataSource ds)

  Constructor accepts a list of ObjectClass objects and initializes the meta cache and the internal guid and name maps

  Parameters:
    `objectClassList:ArrayList` - - An ArrayList of ObjectClass objects
    `name:String` - - Name of this instance of NamingUtility

Method Detail

### traverseAllRules

    protected void traverseAllRules(java.lang.String objCls,
                                    ModelObject mo,
                                    java.util.HashMap dependencyMap,
                                    java.util.HashMap guidMap,
                                    java.util.HashMap nameMap,
                                    ModelObject parentPtr,
                                    java.util.HashSet traversedList,
                                    java.util.ArrayList returnList,
                                    java.util.HashMap sanCheck,
                                    long version)

  traverseAllRules traverses all the rules idenitified for this class and all the classes in its hierarchy. When a rule that is valid is found a Guid is formed for the name string and the Guid is stored in an ArrayList. When all the Guids have been traversed, the guidMap HashMap is updated.

  Overrides:
    `traverseAllRules` in class `NamingUtilityExternal`
  Parameters:
    `objCls:String` - - Class name of the ModelObject
    `mo:ModelObject` - - The ModelObject for which we want to calculate Guids
    `dependencyMap:HashMap` - - Map of Guid to object pointers used
    `guidMap:HashMap` - - Map of object pointer to Guid List
    `nameMap:HashMap` - - Map of object pointer to Names List
    `parentPtr:ModelObject` - - The parent of the ModelObject mo
    `traversedList:HashSet` - - Set containing object pointers for which traverseAllRules has already been called
    `version:long` - - Version of the alias guids to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD